#!/usr/bin/env sh

CAFFE_HOME=../..

# Check if CAFFE_BIN is unset
if [ -z "$CAFFE_BIN" ]; then
  TOOLS=$CAFFE_HOME/build/tools
else
  TOOLS=$CAFFE_BIN
fi

$TOOLS/ristretto quantize \
	--model=models/SqueezeNet/train_val.prototxt \
	--weights=models/SqueezeNet/squeezenet_v1.0.caffemodel \
	--model_quantized=models/SqueezeNet/RistrettoDemo/quantized.prototxt \
	--trimming_mode=dynamic_fixed_point --iterations=2000 \
	--error_margin=3
