#!/usr/bin/env sh
CAFFE_HOME=../..

# Check if CAFFE_BIN is unset
if [ -z "$CAFFE_BIN" ]; then
  TOOLS=$CAFFE_HOME/build/tools
else
  TOOLS=$CAFFE_BIN
fi
$TOOLS/caffe train \
	--solver=models/SqueezeNet/RistrettoDemo/solver_finetune.prototxt \
	--weights=models/SqueezeNet/squeezenet_v1.0.caffemodel
